﻿package 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 100;
		private var counter:Number = 1;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage();
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
		}
		private function double_handler(e:MouseEvent):void
		{
			//trace("double clicked");
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point();
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 10;
		}
		
		private function drawStage():void
		{	
			
			graphics.moveTo(stage.stageWidth/2,0);
			graphics.lineTo(stage.stageWidth/2,stage.stageHeight);
			graphics.moveTo(0,stage.stageHeight/2);
			graphics.lineTo(stage.stageWidth,stage.stageHeight/2);
		
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 1;
	private var r1:Number;
	private var r2:Number; 
	private var r3:Number; 
	private var orientation:Number;
	public function Point():void
	
	{
		r1 = Math.random()*10;
		r2 = Math.random()*200;
		r3 = 60
		orientation = Math.round(1);
		if(orientation ==0){orientation++;}
		
		graphics.beginFill(0x00000);
		graphics.drawCircle(0,(Math.random()*10),(9));
		
		
		graphics.lineTo(mouseX-300,mouseY-350);		
		graphics.lineStyle(9,0x000000);
		graphics.beginFill(0xff0000,.10)
		
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = stage.stageWidth/2 +Math.sin(angle)*r1;
		y = stage.stageHeight/2 -Math.sin(angle*Math.PI/180)*r2*orientation;
		angle++;
	}
}